Skip to main content

Class: RolesApi

clients/platform-client/src.RolesApi

RolesApi - object-oriented interface

Export​

Extends​

  • BaseAPI

Constructors​

new RolesApi(configuration, basePath, axios)​

new RolesApi(configuration?, basePath?, axios?): RolesApi

Parameters​

▪ configuration?: Configuration

▪ basePath?: string= BASE_PATH

▪ axios?: AxiosInstance= globalAxios

Returns​

RolesApi

Inherited from​

BaseAPI.constructor

Source​

libs/clients/platform-client/src/lib/generated/base.ts:53

Properties​

axios​

protected axios: AxiosInstance = globalAxios

Inherited from​

BaseAPI.axios

Source​

libs/clients/platform-client/src/lib/generated/base.ts:53


basePath​

protected basePath: string = BASE_PATH

Inherited from​

BaseAPI.basePath

Source​

libs/clients/platform-client/src/lib/generated/base.ts:53


configuration​

protected configuration: Configuration

Inherited from​

BaseAPI.configuration

Source​

libs/clients/platform-client/src/lib/generated/base.ts:51

Methods​

rolesControllerCreate​

rolesControllerCreate(CreateUserRole, options?): Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Parameters​

▪ CreateUserRole: CreateUserRole

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1805


rolesControllerFindAll​

rolesControllerFindAll(page?, limit?, filter_id?, filter_name?, sortBy?, search?, searchBy?, select?, options?): Promise<AxiosResponse<RolesControllerFindAll200Response, any>>

Parameters​

▪ page?: number

Page number to retrieve.If you provide invalid value the default page number will applied <p> <b>Example: </b> 1 </p> <p> <b>Default Value: </b> 1 </p>

▪ limit?: number

Number of records per page. <p> <b>Example: </b> 20 </p> <p> <b>Default Value: </b> 50 </p> <p> <b>Max Value: </b> 100 </p> If provided value is greater than max value, max value will be applied.

▪ filter_id?: string[]

Filter by id query param. <p> <b>Format: </b> filter.id={$not}:OPERATION:VALUE </p> <p> <b>Example: </b> filter.id=$not:$like:John Doe&filter.id=like:John </p> <h4>Available Operations</h4><ul><li>$eq</li> <li>$in</li></ul>

▪ filter_name?: string[]

Filter by name query param. <p> <b>Format: </b> filter.name={$not}:OPERATION:VALUE </p> <p> <b>Example: </b> filter.name=$not:$like:John Doe&filter.name=like:John </p> <h4>Available Operations</h4><ul><li>$contains</li></ul>

▪ sortBy?: string[]

Parameter to sort by. <p>To sort by multiple fields, just provide query param multiple types. The order in url defines an order of sorting</p> <p> <b>Format: </b> fieldName:DIRECTION </p> <p> <b>Example: </b> sortBy=id:DESC&sortBy=createdAt:ASC </p> <p> <b>Default Value: </b> createdAt:DESC,id:DESC </p> <h4>Available Fields</h4><ul><li>id</li> <li>name</li> <li>createdAt</li> <li>updatedAt</li></ul>

▪ search?: string

Search term to filter result values <p> <b>Example: </b> John </p> <p> <b>Default Value: </b> No default value </p>

▪ searchBy?: string

List of fields to search by term to filter result values <p> <b>Example: </b> name,roleType </p> <p> <b>Default Value: </b> By default all fields mentioned below will be used to search by term </p> <h4>Available Fields</h4><ul><li>name</li> <li>roleType</li></ul>

▪ select?: string

List of fields to select. <p> <b>Example: </b> id,name,createdAt,updatedAt,roleType </p> <p> <b>Default Value: </b> By default all fields returns. If you want to select only some fields, provide them in query param </p>

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<RolesControllerFindAll200Response, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1823


rolesControllerFindOne​

rolesControllerFindOne(id, options?): Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Parameters​

▪ id: string

Entity id, uuid v4 format

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1834


rolesControllerSoftDelete​

rolesControllerSoftDelete(id, version, options?): Promise<AxiosResponse<boolean, any>>

Parameters​

▪ id: string

Entity id, uuid v4 format

▪ version: number

Version number of entity that you want to delete

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<boolean, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1846


rolesControllerTestProxy​

rolesControllerTestProxy(options?): Promise<AxiosResponse<object, any>>

Parameters​

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<object, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1856


rolesControllerUpdateOne​

rolesControllerUpdateOne(id, UpdateUserRole, options?): Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Parameters​

▪ id: string

Entity id, uuid v4 format

▪ UpdateUserRole: UpdateUserRole

▪ options?: AxiosRequestConfig<any>

Override http request option.

Returns​

Promise<AxiosResponse<CustomUserRoleWithoutPermissionsDto, any>>

Throws​

Memberof​

RolesApi

Source​

libs/clients/platform-client/src/lib/generated/api.ts:1868


Generated using typedoc-plugin-markdown and TypeDoc